Subject: Re: bug#58755: 29.0.50; Font locking not enabling for ts-mode

From: Yuan Fu <[email-masked]>
Date: Mon, 24 Oct 2022 00:15:58 -0700

> On Oct 23, 2022, at 11:43 PM, Theodor Thornhill via Bug reports for GNU Emacs, the Swiss army knife of text editors <[email-masked]> wrote:
> 
> Hi Yuan!
> 
> It seems we cannot really enable font-lock without setting the
> font-lock-defaults to some non-nil value.
> 
> I'm not really sure why the 'treesit-font-lock-enable' isn't sufficient,
> but here's a patch that at least makes ts-mode usable again :)
> 
> Thanks,
> Theo

Hey Theo, sorry for the trouble… Yeah font-lock-mode looks at font-lock-default’s value when turning on and won’t do anything if it’s value is nil. I thought we are going to install a new scheme soon so I didn’t change the code. I’ll fix ts-mode and push.

Yuan